OpenTTD Source: Depot Struct Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Static Public Member Functions | Data Fields
Depot Struct Reference
Inheritance diagram for Depot:

## Public Member Functions
| Depot (TileIndex xy=INVALID_TILE)
| ~Depot ()
| Clean up a depot.
bool | IsOfType (const Depot *d) const
| Is the "type" of depot the same as the given depot, i.e. More...
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
void * | operator new (size_t size)
| Allocates space for new Titem. More...
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index. More...
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address. More...
void | operator delete (void *p)
| Marks Titem as free. More...

## Static Public Member Functions
static Depot * | GetByTile (TileIndex tile)
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function() More...
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no. More...
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-nullptr) Titem. More...
static Titem * | Get (size_t index)
| Returns Titem with given index. More...
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index. More...
static size_t | GetPoolSize ()
| Returns first unused index. More...
static size_t | GetNumItems ()
| Returns number of valid items in the pool. More...
static void | PostDestructor ([[maybe_unused]] size_t index)
| Dummy function called after destructor of each member. More...
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem. More...

## Data Fields
uint16_t | town_cn
| The N-1th depot for this town (consecutive number)
TileIndex | xy
Town * | town
std::string | name
TimerGameCalendar::Date | build_date
| Date of construction.
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > | Pool
| Type of the pool this item is going to be part of.

## Detailed Description

Definition at line 20 of file depot_base.h.

## Member Function Documentation

## ◆ IsOfType()

bool Depot::IsOfType | ( | const Depot * | d | ) | const
| inline

Is the "type" of depot the same as the given depot, i.e.

are both a rail, road or ship depots?

Parameters

  d | The depot to compare to.

Returns
  true iff their types are equal.

Definition at line 42 of file depot_base.h.

References GetTileType().

The documentation for this struct was generated from the following files:

- src/depot_base.h
- src/depot.cpp